<template>
    <div class="row">
        <h2>Gestion des Requetes</h2>
        <br>
        <div class="clearfix"></div>
        <div class="col-12 margin">
            <RequestsList v-bind:requests="requests" v-bind:canValidate="true" @validate="validate" @reject="reject"></RequestsList>
        </div>
    </div>
</template>


<script>
import RequestsList from "@/components/shared/Requests.List.vue";
import { editRequest } from '@/api/requests.service.js';
export default {

    components: {
        RequestsList
    },
    computed: {
        requests() {
            if (this.$store.getters.getAllRequests) {
                return this.$store.getters.getAllRequests;
            }
            return [];
        }
    },
    created() {
        this.$store.dispatch('setAllRequests');
    },
    methods: {
        validate(request) {
            request.checked = true;
            request.validated = true;
            editRequest(request._id,request).then(() => {
                this.$store.dispatch("setAllRequests")
            })
        },
        reject(request) {
            request.checked = true;
            request.validated = false;
            editRequest(request._id,request).then(() => {
                this.$store.dispatch("setAllRequests")
            })
        },
    }

}
</script>

    
<style scoped>
h2 {
    font-family: "Vollkorn";
    font-size: 30px;
    text-align: left;
    margin-left: 100px;
}

.margin {
    margin-top: 16px;
}
</style>
